%define upstream_name    Class-XSAccessor-Array
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Generate fast XS accessors without runtime compilation
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoXS::Header)
BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}


%description
The module implements fast XS accessors both for getting at and setting an
object attribute. Additionally, the module supports mutators and simple
predicates ('has_foo()' like tests for definedness of an attributes). The
module works only with objects that are implemented as *arrays*. Using it
on hash-based objects is bound to make your life miserable. Refer to the
Class::XSAccessor manpage for an implementation that works with hash-based
objects.

A simple benchmark showed more than a factor of two performance advantage
over writing accessors in Perl.

Since version 0.10, the module can also generate simple constructors
(implemented in XS) for you. Simply supply the 'constructor =>
'constructor_name'' option or the 'constructors => ['new', 'create',
'spawn']' option. These constructors do the equivalent of the following
perl code:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 393095
- update to 1.04

* Mon Jun 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 381790
- update to 1.03
- using %%perl_convert_version
- fixed license field

* Mon May 18 2009 Jérôme Quelin <jquelin@mandriva.org> 1.02-1mdv2010.0
+ Revision: 377254
- update to new version 1.02
- update to new version 1.01

* Fri Jan 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.14-1mdv2009.1
+ Revision: 332742
- import perl-Class-XSAccessor-Array


* Fri Jan 23 2009 cpan2dist 0.14-1mdv
- initial mdv release, generated with cpan2dist

